- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs/import#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs/import#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs/import#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs/import#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs/import#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs/import#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs/import#body.aspect_1)
- [LogsInlineSource](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs/import#LogsInlineSource)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs/import#LogsInlineSource.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.logTypes.logs.import

Import log telemetry.

### HTTP request

`POST https://{endpoint}/v1alpha/{parent}/logs:import`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of logs. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "hint": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "inlineSource": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs/import#LogsInlineSource`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `hint` | `string` Optional. Opaque hint to help parsing the log. |
| The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `inlineSource` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs/import#LogsInlineSource`)`` Required. Logs to be imported are specified inline. |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.logs.import`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## LogsInlineSource

A import source with the logs to import included inline.

| JSON representation |
|---|
| ``` { "logs": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs#Log`) } ], "forwarder": string, "sourceFilename": string } ``` |

| Fields ||
|---|---|
| `logs[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs#Log`)`` Required. The logs being imported. |
| `forwarder` | `string` Optional. The forwarder sending the import request. This value determines the SecOps CollectorID. |
| `sourceFilename` | `string` Optional. Source file name. Populated for certain types of files processed by the outofband processor which may have metadata encoded in it for use by the parser. |